{ "error": "This phone number is already in use."}
{ "error": "This phone number is not available for purchase. Please search for available numbers first."}
{ "error": "No payment method found. Please add a payment method to your account."}
{ "error": "Payment failed. Please update your payment method."}
{ "error": "Unable to parse phone number. Please provide a valid E.164 format number."}
{ "error": "Failed to purchase phone number from provider. Please contact support."}
This endpoint allows you to purchase a phone number that was found using the search endpoint. The platform automatically handles pricing, billing, and provisioning.
You must have a valid payment method on file before purchasing a phone number. The purchase creates a monthly subscription that will auto-renew.
Search - First use the search endpoint to find available numbers
Purchase - Submit the phone number you want to this endpoint
Automatic Processing - The platform:
Validates the number is still available
Determines the correct pricing based on country
Creates a monthly subscription on your payment method
Provisions the number with our telephony provider
Creates the phone number record in your account
Phone number purchases are non-refundable. The subscription will continue until you release the number.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Lacyai Support Docs","colors":{"primary":"#007BFF","light":null,"dark":null},"favicon":"https://mintcdn.com/lacyai/XShP4J2TcCKez9X5/favicon.png?fit=max\u0026auto=format\u0026n=XShP4J2TcCKez9X5\u0026q=85\u0026s=d87609b109d83d36abf64ad76fbaeb0c","logo":"https://mintcdn.com/lacyai/XShP4J2TcCKez9X5/logo.png?fit=max\u0026auto=format\u0026n=XShP4J2TcCKez9X5\u0026q=85\u0026s=09c7e2269ffc3d1d20220997a5184179","styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"lacyai","hasAudioNarration":false,"actualSubdomain":"lacyai","customDomains":["docs.lacy.ai"],"gitSource":{"type":"github","owner":"lacyai","repo":"support-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"edits":false},"entitlements":{},"buildId":"6af4b5df3e956335301d36a8","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"API Reference","count":66},{"language":"default","tag":"AI Assistants Overview","count":21},{"language":"default","tag":"Assistants","count":16},{"language":"default","tag":"Automation \u0026 Integrations","count":15},{"language":"default","tag":"Troubleshooting \u0026 FAQs","count":14},{"language":"default","tag":"Platform Guide","count":12},{"language":"default","tag":"Knowledge Bases","count":10},{"language":"default","tag":"Phone Numbers","count":9},{"language":"default","tag":"Number Provisioning","count":9},{"language":"default","tag":"Platform Basics","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/phone-numbers/purchase-phone-number","slug":"/api-reference/phone-numbers/purchase-phone-number","pageMetadata":{"title":"Purchase phone number","api":"POST /user/phone-numbers/purchase","description":"Purchase a dedicated phone number","href":"/api-reference/phone-numbers/purchase-phone-number"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Purchase a dedicated phone number\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,ol:`ol`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Expandable,Heading,Note,ParamField,ResponseField,Warning}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This endpoint allows you to purchase a phone number that was found using the `,_jsx(_components.a,{href:`/api-reference/phone-numbers/search-phone-numbers`,children:`search endpoint`}),`. The platform automatically handles pricing, billing, and provisioning.`]}),`\n`,_jsx(Note,{children:_jsx(_components.p,{children:`You must have a valid payment method on file before purchasing a phone number. The purchase creates a monthly subscription that will auto-renew.`})}),`\n`,_jsx(Heading,{level:`3`,id:`request-body`,children:`Request Body`}),`\n`,_jsx(ParamField,{body:`phone_number`,type:`string`,required:true,id:`param-phone-number`,children:_jsx(_components.p,{children:`The phone number to purchase in E.164 format (e.g., +14155551234). Must be a number returned from the search endpoint.`})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`message`,type:`string`,id:`param-message`,children:_jsx(_components.p,{children:`Success message`})}),`\n`,_jsxs(ResponseField,{name:`data`,type:`object`,id:`param-data`,children:[_jsx(_components.p,{children:`The purchased phone number details`}),_jsxs(Expandable,{title:`data properties`,children:[_jsx(ResponseField,{name:`id`,type:`integer`,id:`param-id`,children:_jsx(_components.p,{children:`The unique identifier of the phone number`})}),_jsx(ResponseField,{name:`phone_number`,type:`string`,id:`param-phone-number-1`,children:_jsx(_components.p,{children:`The phone number in E.164 format`})}),_jsx(ResponseField,{name:`country_code`,type:`string`,id:`param-country-code`,children:_jsx(_components.p,{children:`The ISO country code`})}),_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type`,children:_jsxs(_components.p,{children:[`The phone number type (always `,_jsx(_components.code,{children:`normal`}),` for purchased numbers)`]})}),_jsx(ResponseField,{name:`sms_capable`,type:`boolean`,id:`param-sms-capable`,children:_jsx(_components.p,{children:`Whether the number supports SMS`})})]})]}),`\n`,`\n`,_jsx(Heading,{level:`3`,id:`how-it-works`,children:`How It Works`}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Search`}),` - First use the `,_jsx(_components.a,{href:`/api-reference/phone-numbers/search-phone-numbers`,children:`search endpoint`}),` to find available numbers`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Purchase`}),` - Submit the phone number you want to this endpoint`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Automatic Processing`}),` - The platform:`,`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Validates the number is still available`}),`\n`,_jsx(_components.li,{children:`Determines the correct pricing based on country`}),`\n`,_jsx(_components.li,{children:`Creates a monthly subscription on your payment method`}),`\n`,_jsx(_components.li,{children:`Provisions the number with our telephony provider`}),`\n`,_jsx(_components.li,{children:`Creates the phone number record in your account`}),`\n`]}),`\n`]}),`\n`]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`Phone number purchases are non-refundable. The subscription will continue until you `,_jsx(_components.a,{href:`/api-reference/phone-numbers/release-phone-number`,children:`release the number`}),`.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Purchase phone number","api":"POST /user/phone-numbers/purchase","description":"Purchase a dedicated phone number","href":"/api-reference/phone-numbers/purchase-phone-number"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Note,ParamField,ResponseExample,ResponseField,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This endpoint allows you to purchase a phone number that was found using the `,_jsx(_components.a,{href:`/api-reference/phone-numbers/search-phone-numbers`,children:`search endpoint`}),`. The platform automatically handles pricing, billing, and provisioning.`]}),`\n`,_jsx(Note,{children:_jsx(_components.p,{children:`You must have a valid payment method on file before purchasing a phone number. The purchase creates a monthly subscription that will auto-renew.`})}),`\n`,_jsx(Heading,{level:`3`,id:`request-body`,children:`Request Body`}),`\n`,_jsx(ParamField,{body:`phone_number`,type:`string`,required:true,id:`param-phone-number`,children:_jsx(_components.p,{children:`The phone number to purchase in E.164 format (e.g., +14155551234). Must be a number returned from the search endpoint.`})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`message`,type:`string`,id:`param-message`,children:_jsx(_components.p,{children:`Success message`})}),`\n`,_jsxs(ResponseField,{name:`data`,type:`object`,id:`param-data`,children:[_jsx(_components.p,{children:`The purchased phone number details`}),_jsxs(Expandable,{title:`data properties`,children:[_jsx(ResponseField,{name:`id`,type:`integer`,id:`param-id`,children:_jsx(_components.p,{children:`The unique identifier of the phone number`})}),_jsx(ResponseField,{name:`phone_number`,type:`string`,id:`param-phone-number-1`,children:_jsx(_components.p,{children:`The phone number in E.164 format`})}),_jsx(ResponseField,{name:`country_code`,type:`string`,id:`param-country-code`,children:_jsx(_components.p,{children:`The ISO country code`})}),_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type`,children:_jsxs(_components.p,{children:[`The phone number type (always `,_jsx(_components.code,{children:`normal`}),` for purchased numbers)`]})}),_jsx(ResponseField,{name:`sms_capable`,type:`boolean`,id:`param-sms-capable`,children:_jsx(_components.p,{children:`Whether the number supports SMS`})})]})]}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`201 Created`,numberOfLines:`10`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`10`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Phone number purchased successfully.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`123`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"phone_number\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"+14155551234\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"country_code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"US\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"normal\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"sms_capable\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400 Already In Use`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"This phone number is already in use.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400 Not Available`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"This phone number is not available for purchase. Please search for available numbers first.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`402 No Payment Method`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"No payment method found. Please add a payment method to your account.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`402 Payment Failed`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Payment failed. Please update your payment method.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`422 Invalid Format`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Unable to parse phone number. Please provide a valid E.164 format number.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`500 Provider Error`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Failed to purchase phone number from provider. Please contact support.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),`\n`,_jsx(Heading,{level:`3`,id:`how-it-works`,children:`How It Works`}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Search`}),` - First use the `,_jsx(_components.a,{href:`/api-reference/phone-numbers/search-phone-numbers`,children:`search endpoint`}),` to find available numbers`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Purchase`}),` - Submit the phone number you want to this endpoint`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Automatic Processing`}),` - The platform:`,`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Validates the number is still available`}),`\n`,_jsx(_components.li,{children:`Determines the correct pricing based on country`}),`\n`,_jsx(_components.li,{children:`Creates a monthly subscription on your payment method`}),`\n`,_jsx(_components.li,{children:`Provisions the number with our telephony provider`}),`\n`,_jsx(_components.li,{children:`Creates the phone number record in your account`}),`\n`]}),`\n`]}),`\n`]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`Phone number purchases are non-refundable. The subscription will continue until you `,_jsx(_components.a,{href:`/api-reference/phone-numbers/release-phone-number`,children:`release the number`}),`.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Purchase phone number","api":"POST /user/phone-numbers/purchase","description":"Purchase a dedicated phone number","href":"/api-reference/phone-numbers/purchase-phone-number"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Request Body","slug":"request-body","depth":3,"children":[]},{"title":"Response","slug":"response","depth":3,"children":[]},{"title":"How It Works","slug":"how-it-works","depth":3,"children":[]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"201 Created","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"10\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Phone number purchased successfully.\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">123\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"phone_number\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"+14155551234\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"country_code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"US\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"normal\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"sms_capable\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400 Already In Use","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"This phone number is already in use.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400 Not Available","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"This phone number is not available for purchase. Please search for available numbers first.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"402 No Payment Method","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"No payment method found. Please add a payment method to your account.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"402 Payment Failed","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Payment failed. Please update your payment method.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"422 Invalid Format","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Unable to parse phone number. Please provide a valid E.164 format number.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"500 Provider Error","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Failed to purchase phone number from provider. Please contact support.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Purchase phone number","path":"/user/phone-numbers/purchase","method":"post","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"phone_number":[{"type":"string","description":"The phone number to purchase in E.164 format (e.g., +14155551234). Must be a number returned from the search endpoint.","required":true}]}}],"examples":{"example":{"value":{"phone_number":"\u003cstring>"}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"message":[{"type":"string","description":"Success message"}],"data":[{"type":"object","properties":{"id":[{"type":"integer","description":"The unique identifier of the phone number"}],"phone_number":[{"type":"string","description":"The phone number in E.164 format"}],"country_code":[{"type":"string","description":"The ISO country code"}],"type":[{"type":"string","description":"The phone number type (always `normal` for purchased numbers)"}],"sms_capable":[{"type":"boolean","description":"Whether the number supports SMS"}]},"description":"The purchased phone number details"}]}}],"examples":{"example":{"value":{"message":"\u003cstring>","data":{"id":123,"phone_number":"\u003cstring>","country_code":"\u003cstring>","type":"\u003cstring>","sms_capable":true}}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"lacyai","siteName":"Lacyai Support Docs","title":"Purchase phone number - Lacyai Support Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-04-30T09:10:06.832Z","originalFileLocation":"api-reference/phone-numbers/purchase-phone-number.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Purchase a dedicated phone number\">\u003cmeta data-mint-head name=\"application-name\" content=\"Lacyai Support Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lacyai/CfGrFf5mfoTZaovQ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/lacyai/CfGrFf5mfoTZaovQ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lacyai/CfGrFf5mfoTZaovQ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lacyai/CfGrFf5mfoTZaovQ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lacyai/CfGrFf5mfoTZaovQ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lacyai/CfGrFf5mfoTZaovQ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lacyai/CfGrFf5mfoTZaovQ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lacyai/CfGrFf5mfoTZaovQ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lacyai/CfGrFf5mfoTZaovQ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Purchase phone number - Lacyai Support Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Purchase a dedicated phone number\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Lacyai Support Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.lacy.ai/api-reference/phone-numbers/purchase-phone-number\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://lacyai.mintlify.site/_mintlify/api/og/v2?division=Phone+Numbers\u0026amp;title=Purchase+phone+number\u0026amp;description=Purchase+a+dedicated+phone+number\u0026amp;theme=78ed505bd9068575b2a3cd03\u0026amp;signature=b2cbaee97decdc201ad51df493209603a918e6201c0c938710f25440dc70a4e6\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Purchase phone number - Lacyai Support Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Purchase a dedicated phone number\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://lacyai.mintlify.site/_mintlify/api/og/v2?division=Phone+Numbers\u0026amp;title=Purchase+phone+number\u0026amp;description=Purchase+a+dedicated+phone+number\u0026amp;theme=78ed505bd9068575b2a3cd03\u0026amp;signature=b2cbaee97decdc201ad51df493209603a918e6201c0c938710f25440dc70a4e6\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/lacyai/CfGrFf5mfoTZaovQ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Lacyai Support Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#007BFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.lacy.ai/api-reference/phone-numbers/purchase-phone-number\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/phone-numbers/purchase-phone-number.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.lacy.ai/#organization\",\"name\":\"Lacyai Support Docs\",\"url\":\"https://docs.lacy.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/lacyai/XShP4J2TcCKez9X5/logo.png?fit=max\u0026auto=format\u0026n=XShP4J2TcCKez9X5\u0026q=85\u0026s=09c7e2269ffc3d1d20220997a5184179\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.lacy.ai#website\",\"name\":\"Lacyai Support Docs\",\"url\":\"https://docs.lacy.ai\",\"publisher\":{\"@id\":\"https://docs.lacy.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.lacy.ai/api-reference/phone-numbers/purchase-phone-number#webpage\",\"url\":\"https://docs.lacy.ai/api-reference/phone-numbers/purchase-phone-number\",\"name\":\"Purchase phone number\",\"description\":\"Purchase a dedicated phone number\",\"dateModified\":\"2026-04-30T09:10:06.832Z\",\"isPartOf\":{\"@id\":\"https://docs.lacy.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.lacy.ai/api-reference/phone-numbers/purchase-phone-number#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.lacy.ai/api-reference/phone-numbers/purchase-phone-number#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.lacy.ai/api-reference/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Phone Numbers\",\"item\":\"https://docs.lacy.ai/api-reference/phone-numbers/get-phone-numbers\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Purchase phone number\",\"item\":\"https://docs.lacy.ai/api-reference/phone-numbers/purchase-phone-number\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.lacy.ai/api-reference/phone-numbers/purchase-phone-number#apireference\",\"headline\":\"Purchase phone number\",\"name\":\"Purchase phone number\",\"description\":\"Purchase a dedicated phone number\",\"url\":\"https://docs.lacy.ai/api-reference/phone-numbers/purchase-phone-number\",\"mainEntityOfPage\":{\"@id\":\"https://docs.lacy.ai/api-reference/phone-numbers/purchase-phone-number#webpage\"},\"dateModified\":\"2026-04-30T09:10:06.832Z\",\"publisher\":{\"@id\":\"https://docs.lacy.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.lacy.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Lacyai Support Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Lacyai Support Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/phone-numbers/purchase-phone-number.md","siteName":"Lacyai Support Docs","nav":{"global":null,"groups":[{"group":"Platform Guide","pages":[{"title":"Platform guide","href":"/index"},{"title":"What is Lacy.ai?","icon":"circle-question","href":"/introduction/what-is-lacy"},{"title":"How It Works (Quick Overview)","icon":"diagram-project","href":"/introduction/how-it-works"},{"title":"Key Terminology","icon":"book","href":"/introduction/key-terminology"},{"group":"Platform Basics","pages":[{"title":"Introduction","icon":"book-open-cover","href":"/platform-guide/introduction"},{"title":"Lacy.ai Basics","href":"/platform-guide/basics"},{"title":"Inbound calls","icon":"phone-arrow-down-left","href":"/platform-guide/call-types/inbound"},{"title":"Outbound calls","icon":"phone-arrow-up-right","href":"/platform-guide/call-types/outbound"},{"title":"Costs","href":"/platform-guide/costs"},{"title":"Calendar booking with Cal.com","href":"/platform-guide/tools/cal-com"},{"title":"End call","href":"/platform-guide/tools/end-call"},{"title":"Transfer call","href":"/platform-guide/tools/transfer-call"}]}]},{"group":"Getting Started","pages":[{"title":"Core Concepts","icon":"lightbulb","href":"/getting-started/core-concepts"},{"title":"Understanding Call Minutes \u0026 Billing","icon":"credit-card","href":"/getting-started/understanding-billing"}]},{"group":"AI Assistants Overview","pages":[{"title":"What is an AI Assistant?","icon":"robot","href":"/ai-assistants/what-is-ai-assistant"},{"title":"System Prompts","icon":"brain","href":"/ai-assistants/system-prompt"},{"title":"Initial Message \u0026 Audio","icon":"message-dots","href":"/ai-assistants/initial-message"},{"title":"Creating and Editing an AI Assistant","icon":"pen-to-square","href":"/ai-assistants/creating-and-editing"},{"title":"Tools \u0026 Functions","icon":"screwdriver-wrench","href":"/ai-assistants/tools-and-functions"},{"title":"Voice Selection \u0026 Voice Cloning","icon":"microphone","href":"/ai-assistants/voice-selection"},{"title":"Filler Audio","icon":"volume","href":"/ai-assistants/filler-audio"},{"title":"Cal.com Appointment Scheduling","icon":"calendar-days","href":"/ai-assistants/cal-com-scheduling"},{"title":"Testing Your Assistant","icon":"vial","href":"/ai-assistants/testing"},{"title":"Assistant best practices","icon":"sliders","href":"/ai-assistants/assistant-configuration"},{"title":"Assistant Modes","icon":"wave-pulse","href":"/ai-assistants/assistant-modes"},{"title":"AI Prompt Editor","icon":"sparkles","href":"/ai-assistants/ai-prompt-editor"},{"title":"Custom Mid-Call Tools","icon":"code-branch","href":"/ai-assistants/custom-tools"},{"title":"Flow Builder","icon":"share-nodes","href":"/ai-assistants/flow-builder"},{"title":"Test Chat Interface","icon":"comment-dots","href":"/ai-assistants/test-chat"},{"title":"Web Widget","icon":"code","href":"/ai-assistants/web-widget"},{"group":"Scheduling","pages":[{"title":"Calendly Appointment Scheduling","icon":"calendar-days","href":"/ai-assistants/calendly-scheduling"},{"title":"GoHighLevel Appointment Scheduling","icon":"calendar-plus","href":"/ai-assistants/gohighlevel-scheduling"}]},{"group":"Assistant Settings","pages":[{"title":"General Settings","icon":"gear","href":"/ai-assistants/settings/general"},{"title":"Prompt \u0026 Tools","icon":"wrench","href":"/ai-assistants/settings/prompt-and-tools"},{"title":"Post-call Actions","icon":"webhook","href":"/ai-assistants/settings/post-call-actions"}]}]},{"group":"Phone Numbers","pages":[{"title":"Types of Phone Numbers","icon":"phone","href":"/phone-numbers/types"},{"title":"Purchasing \u0026 Managing Numbers","icon":"phone-plus","href":"/phone-numbers/purchasing-and-managing"},{"title":"Pricing \u0026 Regions","icon":"money-bill","href":"/phone-numbers/pricing-and-regions"},{"title":"SMS Capabilities","icon":"message-sms","href":"/phone-numbers/sms-capabilities"},{"title":"Assigning Numbers to Assistants","icon":"link","href":"/phone-numbers/assigning-to-assistants"}]},{"group":"Inbound Calls","pages":[{"title":"Inbound Calls Overview","icon":"phone-arrow-down-left","href":"/inbound-calls/overview"},{"title":"Provisioning \u0026 Managing Phone Numbers","icon":"phone-plus","href":"/inbound-calls/provisioning"},{"title":"Configuring the Inbound Assistant","icon":"sliders","href":"/inbound-calls/configuring"},{"title":"Inbound Call Insights","icon":"chart-line","href":"/inbound-calls/insights"}]},{"group":"Outbound Calls","pages":[{"title":"Outbound Calls Overview","icon":"phone-arrow-up-right","href":"/outbound-calls/overview"},{"title":"Creating \u0026 Managing Campaigns","icon":"bullhorn","href":"/outbound-calls/campaigns"},{"title":"Caller ID \u0026 Handling","icon":"id-card","href":"/outbound-calls/caller-id"},{"title":"Voicemail Handling","icon":"voicemail","href":"/outbound-calls/voicemail-handling"},{"title":"Scripts \u0026 Prompts for Sales or Collections","icon":"file-lines","href":"/outbound-calls/scripts-and-prompts"},{"title":"Mass/Parallel Dialing","icon":"phone-volume","href":"/outbound-calls/mass-dialing"}]},{"group":"Campaigns","pages":[{"title":"Campaigns Overview","icon":"bullhorn","href":"/campaigns/index"},{"title":"Creating a Campaign","icon":"plus","href":"/campaigns/creating-campaigns"}]},{"group":"Conversations","pages":[{"title":"Conversations Overview","icon":"messages","href":"/conversations/overview"},{"title":"Viewing \u0026 Managing Conversations","icon":"list-check","href":"/conversations/viewing-and-managing"}]},{"group":"Leads","pages":[{"title":"Leads Overview","icon":"users","href":"/leads/index"},{"title":"Importing Leads","icon":"file-import","href":"/leads/importing-leads"},{"title":"Managing Leads","icon":"user-gear","href":"/leads/managing-leads"}]},{"group":"AI Prompting \u0026 Conversation Design","pages":[{"title":"Prompt Writing Basics","icon":"pen-nib","href":"/conversation-design/prompt-basics"},{"title":"Inserting Knowledge Bases","icon":"database","href":"/conversation-design/knowledge-bases"},{"title":"Handling Interruptions \u0026 Speech Sensitivity","icon":"hand","href":"/conversation-design/interruptions"},{"title":"Language \u0026 Accent Support","icon":"language","href":"/conversation-design/language-support"}]},{"group":"Automation \u0026 Integrations","pages":[{"title":"Introduction","href":"/automation-platform/introduction"},{"title":"Overview of No-Code Automation","icon":"wand-magic-sparkles","href":"/automation/overview"},{"title":"Webhook \u0026 API","icon":"code","href":"/automation/webhook-api"},{"title":"Phone System Integrations","icon":"phone-office","href":"/automation/phone-system"},{"group":"Building and Managing Flows","pages":[{"title":"Building Flows","icon":"hammer","href":"/automation-platform/building-flows"},{"title":"Passing Data","icon":"wand-sparkles","href":"/automation-platform/passing-data"},{"title":"Publishing Flows","icon":"bolt","href":"/automation-platform/publishing-flows"},{"title":"Debugging Runs","icon":"bug","href":"/automation-platform/debugging-runs"},{"title":"Version History","icon":"clock","href":"/automation-platform/versioning"},{"title":"Technical limits","icon":"ban","href":"/automation-platform/known-limits"}]},{"group":"Calling and Messaging","pages":[{"title":"Lacy.ai Tool","icon":"phone","href":"/automation-platform/calls-related/lacy-tool"},{"title":"Sending SMS","icon":"message-sms","href":"/automation-platform/calls-related/sms-capabilities"},{"title":"Common Integrations","icon":"puzzle-piece","href":"/automation-platform/calls-related/common-integrations"}]},{"group":"Tutorials","pages":[{"title":"Inbound Call Context Injection","icon":"arrow-right","href":"/automation-platform/tutorials/inbound-context-injection"},{"title":"Outbound Call on Form Submission","icon":"wpforms","href":"/automation-platform/tutorials/outbound-form-call"}]}]},{"group":"Custom Dashboards","pages":[{"title":"Custom Dashboards","icon":"chart-line","href":"/custom-dashboards/overview"},{"title":"Widget Configuration","icon":"sliders","href":"/custom-dashboards/widget-types"}]},{"group":"WhatsApp","pages":[{"title":"WhatsApp Business Integration","icon":"whatsapp","href":"/whatsapp/overview"},{"title":"WhatsApp Senders","icon":"phone","href":"/whatsapp/senders"},{"title":"Message Templates","icon":"file-lines","href":"/whatsapp/templates"},{"title":"WhatsApp Conversations","icon":"messages","href":"/whatsapp/conversations"},{"title":"WhatsApp Automation","icon":"bolt","href":"/whatsapp/automation"}]},{"group":"Costs \u0026 Pricing","pages":[{"title":"Cost Overview","icon":"dollar-sign","href":"/pricing/overview"},{"title":"Pricing Breakdown","icon":"calculator","href":"/pricing/usage-based"},{"title":"Number Rentals \u0026 International Rates","icon":"globe","href":"/pricing/number-rentals"},{"title":"Inbound vs. Outbound Costs","icon":"arrows-up-down","href":"/pricing/inbound-vs-outbound"},{"title":"Extra Fees \u0026 How They're Calculated","icon":"receipt","href":"/pricing/extra-fees"}]},{"group":"Number Provisioning","pages":[{"title":"Supported Countries","icon":"globe","href":"/provisioning/supported-countries"},{"title":"Managing Your Numbers","icon":"list-check","href":"/provisioning/managing-numbers"},{"title":"SIP Integration","icon":"phone-volume","href":"/provisioning/sip-integration"},{"title":"DIDLogic Integration","href":"/provisioning/sip-trunking/didlogic"},{"title":"Twilio Integration","href":"/provisioning/sip-trunking/twilio"},{"title":"Zadarma Integration","href":"/provisioning/sip-trunking/zadarma"},{"title":"Handling Compliance","icon":"shield-check","href":"/provisioning/compliance"},{"title":"Phone System Integrations","icon":"phone-office","href":"/provisioning/phone-system-integrations"},{"title":"Overview","href":"/provisioning/sip-trunking/sip-integration"}]},{"group":"Settings","pages":[{"title":"Data Retention","icon":"clock-rotate-left","href":"/settings/data-retention"}]},{"group":"Troubleshooting \u0026 FAQs","pages":[{"title":"Voice \u0026 Response Issues","icon":"microphone","href":"/troubleshooting/voice-problems"},{"title":"Billing \u0026 Credits","icon":"money-bill","href":"/troubleshooting/billing"},{"title":"Call Quality Issues","icon":"phone","href":"/troubleshooting/call-quality"},{"title":"AI Behavior Issues","icon":"robot","href":"/troubleshooting/ai-behavior"},{"title":"Cal.com Issues","icon":"calendar-days","href":"/troubleshooting/cal-com"},{"title":"Calendly Issues","icon":"calendar-days","href":"/troubleshooting/calendly"},{"title":"Campaign Issues","icon":"wrench","href":"/troubleshooting/campaigns"},{"title":"GoHighLevel Issues","icon":"calendar-days","href":"/troubleshooting/gohighlevel"},{"title":"Leads Issues","icon":"user-gear","href":"/troubleshooting/leads"},{"title":"SIP Integration Issues","icon":"phone-volume","href":"/troubleshooting/sip-integration"},{"title":"Web Widget Issues","icon":"code","href":"/troubleshooting/web-widget"},{"title":"WhatsApp Troubleshooting","icon":"circle-question","href":"/troubleshooting/whatsapp"},{"title":"General Setup Issues","icon":"wrench","href":"/troubleshooting/setup-issues"},{"title":"Can I Bring My Own Phone Number / Twilio?","icon":"phone-arrow-right","href":"/troubleshooting/byop"}]},{"group":"Release Notes","pages":[{"title":"Product Updates","icon":"scroll","href":"/releases/index"}]},{"group":"API Reference","pages":[{"title":"Introduction","icon":"book-open","href":"/api-reference/introduction"},{"title":"Authentication","icon":"key","href":"/api-reference/authentication"},{"group":"API Keys","pages":[{"title":"List API keys","api":"GET /user/api-keys","href":"/api-reference/authentication/list-api-keys"},{"title":"Create API key","api":"POST /user/api-keys","href":"/api-reference/authentication/create-api-key"},{"title":"Delete API key","api":"DELETE /user/api-keys/{id}","href":"/api-reference/authentication/delete-api-key"}]},{"group":"Assistants","pages":[{"title":"List assistants","api":"GET /user/assistants/get","href":"/api-reference/assistants/get-assistants"},{"title":"Get outbound assistants","api":"GET /user/assistants/outbound","href":"/api-reference/assistants/get-outbound-assistants"},{"title":"Create assistant","api":"POST /user/assistant","href":"/api-reference/assistants/create-assistant"},{"title":"Update assistant","api":"PUT /user/assistant/{id}","href":"/api-reference/assistants/update-assistant"},{"title":"Delete assistant","api":"DELETE /user/assistant/{id}","href":"/api-reference/assistants/delete-assistant"},{"title":"Get available languages","api":"GET /user/assistants/languages","href":"/api-reference/assistants/get-languages"},{"title":"Get available models","api":"GET /user/assistants/models","href":"/api-reference/assistants/get-models"},{"title":"Get available voices","api":"GET /user/assistants/voices","href":"/api-reference/assistants/get-voices"},{"title":"Get transcriber providers","api":"GET /user/assistants/transcriber-providers","href":"/api-reference/assistants/get-transcriber-providers"},{"title":"Get synthesizer providers","api":"GET /user/assistants/synthesizer-providers","href":"/api-reference/assistants/get-synthesizer-providers"},{"title":"Get available phone numbers","api":"GET /user/assistants/phone-numbers","href":"/api-reference/assistants/get-phone-numbers"},{"title":"Enable assistant inbound webhook","api":"POST /user/assistants/enable-inbound-webhook","href":"/api-reference/assistants/enable-inbound-webhook"},{"title":"Disable assistant inbound webhook","api":"POST /user/assistants/disable-inbound-webhook","href":"/api-reference/assistants/disable-inbound-webhook"},{"title":"Enable conversation ended webhook","api":"POST /user/assistants/enable-conversation-ended-webhook","href":"/api-reference/assistants/enable-conversation-ended-webhook"},{"title":"Disable conversation ended webhook","api":"POST /user/assistants/disable-conversation-ended-webhook","href":"/api-reference/assistants/disable-conversation-ended-webhook"},{"title":"Disable assistant webhook","api":"POST /user/assistants/disable-webhook","href":"/api-reference/assistants/disable-webhook"}]},{"group":"Calls","pages":[{"title":"List calls","api":"GET /user/calls","href":"/api-reference/calls/get-calls"},{"title":"Get call","api":"GET /user/calls/{id}","href":"/api-reference/calls/get-call"},{"title":"Make a phone call","api":"POST /user/make_call","href":"/api-reference/calls/make-phone-call"},{"title":"Delete call","api":"DELETE /user/calls/{call}","href":"/api-reference/calls/delete-call"}]},{"group":"Campaigns","pages":[{"title":"List campaigns","api":"GET /user/campaigns","icon":"list","href":"/api-reference/campaigns/index"},{"title":"List campaigns","api":"GET /user/campaigns","href":"/api-reference/campaigns/get-campaigns"},{"title":"Create campaign","api":"POST /user/campaign","href":"/api-reference/campaigns/create-campaign"},{"title":"Update campaign status","api":"POST /user/campaigns/update-status","href":"/api-reference/campaigns/update-status"}]},{"group":"Conversations","pages":[{"title":"List Conversations","api":"GET /user/conversations","href":"/api-reference/conversations/list-conversations"},{"title":"Create Conversation","api":"POST /conversations","href":"/api-reference/conversations/create-conversation"},{"title":"Get Conversation","api":"GET /conversations/{uuid}","href":"/api-reference/conversations/get-conversation"},{"title":"Send Message","api":"POST /conversations/{uuid}/messages","href":"/api-reference/conversations/send-message"}]},{"group":"Knowledge Bases","pages":[{"title":"Get knowledgebases","api":"GET /user/knowledgebases","href":"/api-reference/knowledgebases/get-knowledgebases"},{"title":"Get knowledgebase","api":"GET /user/knowledgebases/{id}","href":"/api-reference/knowledgebases/get-knowledgebase"},{"title":"Create knowledgebase","api":"POST /user/knowledgebases","href":"/api-reference/knowledgebases/create-knowledgebase"},{"title":"Update knowledgebase","api":"PUT /user/knowledgebases/{id}","href":"/api-reference/knowledgebases/update-knowledgebase"},{"title":"Delete knowledgebase","api":"DELETE /user/knowledgebases/{id}","href":"/api-reference/knowledgebases/delete-knowledgebase"},{"title":"Get documents","api":"GET /user/knowledgebases/{knowledgebaseId}/documents","href":"/api-reference/knowledgebases/get-documents"},{"title":"Get document","api":"GET /user/knowledgebases/{knowledgebaseId}/documents/{documentId}","href":"/api-reference/knowledgebases/get-document"},{"title":"Create document","api":"POST /user/knowledgebases/{knowledgebaseId}/documents","href":"/api-reference/knowledgebases/create-document"},{"title":"Update document","api":"PUT /user/knowledgebases/{knowledgebaseId}/documents/{documentId}","href":"/api-reference/knowledgebases/update-document"},{"title":"Delete document","api":"DELETE /user/knowledgebases/{knowledgebaseId}/documents/{documentId}","href":"/api-reference/knowledgebases/delete-document"}]},{"group":"Leads","pages":[{"title":"List leads","api":"GET /user/leads","href":"/api-reference/leads/get-lead"},{"title":"Create lead","api":"POST /user/lead","icon":"user-plus","href":"/api-reference/leads/create"},{"title":"Update Lead","api":"PUT /user/leads/{id}","href":"/api-reference/leads/update-lead"},{"title":"Delete lead","api":"DELETE /user/leads/{id}","href":"/api-reference/leads/delete"}]},{"group":"Mid-Call Tools","pages":[{"title":"List mid call tools","api":"GET /user/tools","href":"/api-reference/mid-call-tools/get-tools"},{"title":"Get mid call tool","api":"GET /user/tools/{id}","href":"/api-reference/mid-call-tools/get-tool"},{"title":"Create mid call tool","api":"POST /user/tools","href":"/api-reference/mid-call-tools/create-tool"},{"title":"Update mid call tool","api":"PUT /user/tools/{id}","href":"/api-reference/mid-call-tools/update-tool"},{"title":"Delete mid call tool","api":"DELETE /user/tools/{id}","href":"/api-reference/mid-call-tools/delete-tool"}]},{"group":"Phone Numbers","pages":[{"title":"Get all phone numbers","api":"GET /user/phone-numbers/all","href":"/api-reference/phone-numbers/get-phone-numbers"},{"title":"Search available phone numbers","api":"GET /user/phone-numbers/search","description":"Search for available phone numbers that can be purchased","href":"/api-reference/phone-numbers/search-phone-numbers"},{"title":"Purchase phone number","api":"POST /user/phone-numbers/purchase","href":"/api-reference/phone-numbers/purchase-phone-number"},{"title":"Release phone number","api":"DELETE /user/phone-numbers/{id}","description":"Release a phone number and cancel its subscription","href":"/api-reference/phone-numbers/release-phone-number"}]},{"group":"Messaging","pages":[{"title":"Send SMS","api":"POST /user/sms","href":"/api-reference/sms/send-sms"},{"title":"Get WhatsApp Senders","api":"GET /user/whatsapp/senders","href":"/api-reference/whatsapp/get-senders"},{"title":"Get Templates","api":"GET /user/whatsapp/senders/{senderId}/templates","href":"/api-reference/whatsapp/get-templates"},{"title":"Send Template Message","api":"POST /user/whatsapp/send","href":"/api-reference/whatsapp/send-template"},{"title":"Send Freeform Message","api":"POST /user/whatsapp/send-freeform","href":"/api-reference/whatsapp/send-freeform"},{"title":"Get Session Status","api":"GET /user/whatsapp/session-status","href":"/api-reference/whatsapp/session-status"}]},{"group":"Webhooks","pages":[{"title":"Post-Call Webhook","icon":"webhook","href":"/api-reference/webhooks/post-call-webhook"},{"title":"Conversation Ended Webhook","icon":"webhook","href":"/api-reference/webhooks/conversation-ended-webhook"}]},{"group":"AI and Account","pages":[{"title":"Generate AI Reply","api":"POST /user/ai/generate-reply","href":"/api-reference/ai/generate-reply"},{"title":"Get current user","api":"GET /user/me","href":"/api-reference/user/me"}]}]}]},"basePath":"","title":"Purchase phone number - Lacyai Support Docs","buildId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","deploymentId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-CybtLBIt.js","utils-BMLj2fvV.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-B6In562Y.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dr8Mfhp9.js","snippetPresets-2rmQvMVl.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-WMqJYdZj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CJ-MlPHu.js","shallow-dY3TMRCk.js","getApiPlaygroundDisplay-v-1B2bKm.js","CodeSnippet-BDhiTB7U.js","CodeSnippets-D9hnzQcS.js","Page-C4GwDT3_.js","getPastedJson-Th2V45jI.js","icon-BQXch1W9.js","MethodPill-BCqUneP3.js","DuplicateIcon-Q_-bhurZ.js","createIcon-DUjLHRqp.js","DynamicMarkdown-B-f2cqXQ.js","SectionHeading-Da5NsV4v.js","axios-vUo_bRtp.js"]}